Subject: bug#68865: closed (Re: bug#68865: 30.0.50; [PATCH] Support kotlin-ts-mode in Eglot)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Feb 2024 07:30:02 +0000

Your bug report

#68865: 30.0.50; [PATCH] Support kotlin-ts-mode in Eglot

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68865: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68865
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68865: 30.0.50; [PATCH] Support kotlin-ts-mode in Eglot
From: Stefan Kangas <[email-masked]>
To: Mou Tong <[email-masked]>, [email-masked]
Date: Thu, 1 Feb 2024 23:28:46 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Mou Tong <[email-masked]> writes:

> New tree-sitter based major [mode] for editing kotlin files.
>
> Can we make eglot support it? I have used it with eglot for a while and
> havn't met any problem, thx ;)
>
> [mode]: https://gitlab.com/bricka/emacs-kotlin-ts-mode

Thank you for the patch.  I have pushed it to the emacs-29 branch as
commit c14c978e3b1.

I'm therefore closing this bug report.

Subject: 30.0.50; [PATCH] Support kotlin-ts-mode in Eglot
From: Mou Tong <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 1 Feb 2024 03:53:24 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

New tree-sitter based major [mode] for editing kotlin files.

Can we make eglot support it? I have used it with eglot for a while and
havn't met any problem, thx ;)

[mode]: https://gitlab.com/bricka/emacs-kotlin-ts-mode